502 bad gateway

  • Hello,


    I was working for a while with OpenMediaVault.
    I'm working with the image on a Raspberry Pi.


    I reinstalled my system. After installation, everything works fine.
    Then i update my installation and i cannot access it anymore on the webserver.
    I get an error "502 Bad Gateway - nginx"


    I tried to update from the webserver and via the commandline (ssh - connection), but both give the same problem after a reboot...


    Does anybody knows what to do?


    already thanks!

  • Clear your browser cache first or try to use inkognito mode in chrome to access the WebGUI.


    Greetings
    David

    "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"


    Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.

    Upload Logfile via WebGUI/CLI
    #openmediavault on freenode IRC | German & English | GMT+1
    Absolutely no Support via PM!

  • Do you have omvextrasorg installed? If so please upload a Logfile.


    Greetings
    David

    "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"


    Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.

    Upload Logfile via WebGUI/CLI
    #openmediavault on freenode IRC | German & English | GMT+1
    Absolutely no Support via PM!

  • Do you use a proxy? and do nginx and apache coexist?


    If so disable apache :

    Code
    service apache2 stop


    Also can you search for those logs? :
    /var/www/nginx/openmediavault-access.log
    /var/www/nginx/openmediavault-error.log

    - ASROCK FM2A88X-ITX+ (SATAIII (6Gb/s) x6 (for the DATA), mSATA x1 (for the OS))
    - AMD A6 7400K 3.5GHz
    - Corsair 2Go DDR3 1333MHz C9 (x2)
    - Intel Corporation 82574L Gigabit Network Connection
    - COOLER MASTER G450M (80+ bronze)
    - WD Red 2To 64Mo 3.5" SATAIII (6Gb/s)
    - 32 Go SSD mSATA KingSpec Half-Size Solid State
    - Fractal Design Node 304 black (HDD 3.5" x6)
    - RAID 5 XFS
    - OMV 4.1.35-1 Arrakis

  • Hello,


    I tried the following (logfile)
    root@raspberrypi:~# omv-mkconf omvextrasorg sendsupport
    -bash: omv-mkconf: command not found


    then i checked to stop apache2
    root@raspberrypi:~# service apache2 stop
    apache2: unrecognized service


    then i searched for the log files:
    root@raspberrypi:~# cd /var/www/nginx
    -bash: cd: /var/www/nginx: No such file or directory


    tx for the support!

  • Oh god you have neither apache nor nginx ??? How is this possible with the error "502 bad gateway - nginx" ???


    Try to search the following :


    Code
    find / -name nginx
    find / -name apache


    And try also the following :

    Code
    ps -ef | grep nginx
    ps -ef | grep apache


    Give us the results.
    Cheers

    - ASROCK FM2A88X-ITX+ (SATAIII (6Gb/s) x6 (for the DATA), mSATA x1 (for the OS))
    - AMD A6 7400K 3.5GHz
    - Corsair 2Go DDR3 1333MHz C9 (x2)
    - Intel Corporation 82574L Gigabit Network Connection
    - COOLER MASTER G450M (80+ bronze)
    - WD Red 2To 64Mo 3.5" SATAIII (6Gb/s)
    - 32 Go SSD mSATA KingSpec Half-Size Solid State
    - Fractal Design Node 304 black (HDD 3.5" x6)
    - RAID 5 XFS
    - OMV 4.1.35-1 Arrakis

  • Hello,


    As i told before, the webserver was working before i did the updates...
    I neither understand...


    the results of the requested commands:


    As i told, i retried to install from scratch, but i always have the same result...


    Already thanks.

  • I installed the image 1_11.
    this worked find.
    When i updated via the webconsole, it gave this error:

    Quote

    Processing triggers for php5-fpm ...
    Illegal instruction


    After this, it gave the same error...


    gr
    Koen.

  • Installing the php5-pam update is the problem. It only works on true armhf systems.


    Login via ssh as root and try:
    wget http://omv-extras.org/debian/pool/main/p/php5-pam/php5-pam_1.0.3-2_armhf.deb
    dpkg -i php5-pam_1.0.3-2_armhf.deb
    reboot

    omv 5.5.17-3 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • It should be solved but don't update the php5-pam package if one shows up in the update list. I will have to look into this.

    omv 5.5.17-3 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • I am installing from scratch and having a similar issue, installed the deb package above but the issue persists. It says the php5-fpm is failing with illegal instruction so I think it's grabbing the armv7 package for the armv6 Pi's


    This is the package it's installing: php5-fpm_5.4.39-0+deb7u1_armhf.deb

  • It is the php5-pam package causing the failure when fpm tries to restart. The fpm package is fine unless you added a non-Raspbian repo.


    Install the package using the instructions above and then apt-get -f install

    omv 5.5.17-3 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • The only repo is the default raspbian mirrordirector, are you saying I should disable that too? Starting from scratch now on the B+ (other guide I created works on Pi 2) so trying to find the caveats for the earlier models. The double apache2 service taking precedent over nginx has happened for both the B+ and Pi 2 btw.

  • It is the php5-pam package causing the failure when fpm tries to restart. The fpm package is fine unless you added a non-Raspbian repo.


    Install the package using the instructions above and then apt-get -f install


    Installed the deb and did apt-get -f install and same result. I only have the raspbian mirrordirector and omv repo enabled (not omv extras)

  • The php5-pam is one of the few core packages that is a binary and in the omv/omv-extras repos. I would reinstall the fpm package.

    omv 5.5.17-3 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!